NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Turck MMCache 2.4.1 is incompatible with DBG 2.11.23


Joined: 12 Oct 2003
Posts: 2
Reply with quote
I get the above 'fatal error' when trying to load the DBG extension. Is this a known problem? Should I try an earlier version of DBG? If so, any idea which one? Will DBG work with another version of Turck?

There's no mention of this problem on either site (forums or buglists). I'm mailing mmcache@turckware.ru with this too, hopefully there's an easy solution... Confused

Apache/1.3.26 (Win32) PHP/4.3.3
View user's profileFind all posts by markySend private message


Joined: 07 Oct 2003
Posts: 2
Reply with quote
[12-Oct-2003 11:41:13] PHP Fatal error: [Turck MMCache] Turck MMCache 2.4.1 is incompatible with DBG 2.11.23 in Unknown on line 0

I get the same error as you.
If you are able to find the solution then please post it here.

I will remove the DBG from my php.ini if I can't find a solution in a day or 2. Right now php.ini error logging gives sufficient information to debug scripts.
View user's profileFind all posts by throwSend private message
update: also incompatible with 2.11.22


Joined: 12 Oct 2003
Posts: 2
Reply with quote
as subject.

I thought I'd try it anyway, even tho' I'm using php 4.3.3 and this version only goes up to 4.3.2. This was the only error - no php compat errors...

Looks like I'll be lookin' for another debugger. Sad

unless, of course, you know differently ...
View user's profileFind all posts by markySend private message
Comment out MM section


Joined: 20 Nov 2003
Posts: 4
Reply with quote
Since the MMTurck extension is an optimiser and you probably don't require it in your development environment (where you want the debugger) just comment out the whole section in the php.ini file.
It certainly gets rid of error and so far has had no other repercussions.

Jon
View user's profileFind all posts by ja1clarkSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
Have you tried 2.4.6 ?
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 07 Dec 2003
Posts: 1
Location: Paris, France
Reply with quote
Hello,

I have the same trouble with apache 2.0.48, php 4.3.4, mmcache 2.4.6 and dbg 2.11.23, but the error message is sightly different

In apache error log, i got :

[Sun Dec 07 03:54:17 2003] [notice] caught SIGTERM, shutting down
PHP Fatal error: [Turck MMCache] Turck MMCache 2.4.6 can not be loaded twich in Unknown on line 0

It is the same with php-cli :


PHP Fatal error: [Turck MMCache] Turck MMCache 2.4.6 can not be loaded twich in Unknown on line 0

The line
zend_extension=/usr/local/lib/php/extensions/no-debug-non-zts-20020429/mmcache.so
exists only one time in php.ini.

If i don't load mmcache or dbg, the both case working, but it seem they won't work together.

So i am unable to say if the trouble is in dbg or mmcache.

Note : I am working on a huge intranet application, with load of object code (we are 8 persons on it), so whe need the both : cache & debugger.
View user's profileFind all posts by abajoletSend private message


Joined: 08 Dec 2003
Posts: 2
Reply with quote
# php -v
PHP 4.3.4 (cli) (built: Dec 2 2003 04:11:38)
Copyright (c) 1997-2003 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2003 Zend Technologies
with DBG v2.11.23, (C) 2000,2001,2002,2003, by Dmitri Dmitrienko
with Turck MMCache v2.4.6, Copyright (c) 2002-2003 TurckSoft, St. Petersburg, by Dmitry Stogov




I am not getting the same problem as you guys are, on a fairly similar setup. The only weird thing that is happening for me is that both of the modules show up in my phpinfo, but there is no DBG section.
View user's profileFind all posts by macksSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
it depends on the way you load the extensions. If DBG fails to initialize as a php extension it just can not show the section.
Show us your settings in php.ini, including dbg.so (or php_dbg.dll) itself.
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 08 Dec 2003
Posts: 2
Reply with quote
Messed around with it a bit, depending on if I load the modules using extension vs zend_extension I get different results.

Loading both of the modules as zend_extensions gave me the results mentioned earlier, while loading mmcache as a zend_extension and dbg as a regular extension, i get the results abajolet got.
View user's profileFind all posts by macksSend private message
Turck MMCache 2.4.1 is incompatible with DBG 2.11.23
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic